%define name unison
%define version 2.1
%define release 2mdk

Summary: Unison is a file-synchronization tool for Unix and Windows
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
Requires: openssh-clients
BuildRequires: ocaml gtk+-devel
Source0: http://www.cis.upenn.edu/~bcpierce/unison/download/stable/%version/%name-%version.tar.bz2
Source1: http://www.cis.upenn.edu/~bcpierce/unison/download/resources/ourlablgtk.tar.bz2
URL: http://www.cis.upenn.edu/~bcpierce/unison/
Buildroot: %{_tmppath}/%{name}

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -a1


%build
cd ourlablgtk
make configure
make
cd ..
%make UISTYLE=gtk GUIINCDIR=$PWD/ourlablgtk

%install
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install unison $RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_libdir}/menu
cat > ./%{_libdir}/menu/%name <<EOF
?package(%name):\
command="%{_bindir}/%name"\
title="Unison"\
longtitle="A file synchroniser"\
needs="x11"\
section="Office"
EOF
)  

export EXCLUDE_FROM_STRIP=unison

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}

%files
%defattr(-,root,root)
%doc NEWS TODO.txt README CONTRIB
%{_bindir}/*
%{_menudir}/%{name}

%changelog
* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1-2mdk
- rebuild

* Thu Sep  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1-1mdk
- first mandrake release
